【已解决】当前运行的基座不包含原生插件[UZK-Alibcsdk],请在manifest中配置该插件,重新制作

简介 在使用uniapp打包的时候,当前运行的基座不包含原生插件[UZK-Alibcsdk],请在manifest中配置该插件,重新制作。解决方案先来看看错误信息:从错误中,我们可以看到意思没有插件,但是manifets.json查看源码:有啊,为啥还是不行?问题分析:1:错误信息是:不包含原生插件【UZK-Ailibcsdk】注意这个:UZK-Ailibcsdk是插件的名称,查看已经选中的插件发现,插

在使用uniapp打包的时候,当前运行的基座不包含原生插件[UZK-Alibcsdk],请在manifest中配置该插件,重新制作。解决方案

先来看看错误信息:

9a8b46e0f8eb307bc4bd781a5ede4efc.png

从错误中,我们可以看到意思没有插件,但是manifets.json查看源码:

4d0849e094f2f4e0bd820294fbf055c4.png

有啊,为啥还是不行?
问题分析:

1:错误信息是:不包含原生插件【UZK-Ailibcsdk】

注意这个:UZK-Ailibcsdk是插件的名称,查看已经选中的插件发现,插件示例名字不是这个。所以找到对应名字插件:
怎么查看插件的名字呢?

在插件市场找到之后,查看怎么使用,都会写的。如下图:

7c48f9c6acbe8bfc0432040bc81b0e11.png

如果插件使用的和错误信息能对应上,那么接着排查:

e0e4a4919ba35908d13ff2b07fc799a6.png

把示例项目下载下来和自己的进行对比。

凯哥犯的错误如下:
1:插件用错了

2:项目中和示例项目少了libs

所以修改后:

212a1f3ba45fdfb1aef0da1f38d0183f.png

反思:

以后再开发的过程中,如果有示例代码,一定要先下载下来,看看示例demo.

如果出了问题,和作者的demo进行比较。一般来说,demo就能解决很多问题



Top Top